Skip to main content

List Private Endpoint Services (V2)

Lists the private endpoint services available across cloud regions.

GET/v2/privateEndpointServices
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringquery

The ID of a project used to scope the available services.

Example Value: proj-xxxxxxxxxxxxxxxxxxx
regionIdstringquery

The ID of a cloud region used to filter the services.

Example Value: aws-us-west-2
currentPageintegerquery

The page number to return. The first page is 1.

Example Value: 1
pageSizeintegerquery

The number of items to return per page. Values outside 1 to 100 use the default value of 10.

Example Value: 10
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request GET \
--url "${CLUSTER_ENDPOINT}/v2/privateEndpointServices" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
dataobjectrequired

A paginated list of private endpoint services.

endpointServicesarray

The private endpoint services.

[]endpointServicesobject

A private endpoint service available in a cloud region.

regionIdstring

The cloud region ID.

cloudIdstring

The cloud provider ID.

endpointServicestring

The endpoint service name.

whitelistRequiredboolean

Whether the service requires the external cloud account to be added to a whitelist.

currentPageinteger

The current page number.

pageSizeinteger

The number of items per page.

countinteger

The total number of matching services.

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": {
"endpointServices": [
{
"regionId": "aws-us-west-2",
"cloudId": "aws",
"endpointService": "com.amazonaws.vpce.us-west-2.vpce-svc-xxxxxxxxxxxxxxxxx",
"whitelistRequired": false
}
],
"currentPage": 1,
"pageSize": 10,
"count": 1
}
}
Ctrl I